// Copyright 2010 Simon Massey. All rights reserved. net.sf.chex4j is licensed under the terms of the Eclipse Public License v1.0, as defined by the attached file LICENSE-ECLIPSE.txt.net.sf.chex4j is licensed under the terms of the Eclipse Public License v1.0, as defined by the attached file LICENSE-ECLIPSE.txt.
package net.sf.chex4j.bankbalance;

import java.math.BigDecimal;

import net.sf.chex4j.Contract;

@Contract
public abstract class AbstractBankAccountGreatGrandpa {
	/**
	 * This field is public to allow you to corrupt the invariants of the class. 
	 * Clearly if you want to protect the invariants of a class you need to 
	 * encapsulate its contents. 
	 */
	public BigDecimal balance = new BigDecimal(0);
	
	abstract public BigDecimal getBalance();
}
