// Copyright 2010 Simon Massey. All rights reserved. net.sf.chex4j is licensed under the terms of the Eclipse Public License v1.0, as defined by the attached file LICENSE-ECLIPSE.txt.net.sf.chex4j is licensed under the terms of the Eclipse Public License v1.0, as defined by the attached file LICENSE-ECLIPSE.txt.
package net.sf.chex4j.bankbalance;

import java.math.BigDecimal;

public class PublicWrapperToPackagePrivateBankAccount {
	
	private final SimplePackageProtectedBankAccount bankAccount = new SimplePackageProtectedBankAccount();
	
	public BigDecimal deposit(BigDecimal amount) {
		return bankAccount.deposit(amount);
	}

	public BigDecimal getBalance() {
		return bankAccount.getBalance();
	}

	public BigDecimal withdraw(BigDecimal amount) {
		return bankAccount.withdraw(amount);
	}

	/**
	 * This method only exists to corrupt the bank balance to check the chex. 
	 * @param bigDecimal
	 */
	public void setBalanceWithNoChex(BigDecimal bigDecimal) {
		this.bankAccount.balance = bigDecimal;
	}

}
