// Copyright 2010 Simon Massey. All rights reserved. net.sf.chex4j is licensed under the terms of the Eclipse Public License v1.0, as defined by the attached file LICENSE-ECLIPSE.txt.net.sf.chex4j is licensed under the terms of the Eclipse Public License v1.0, as defined by the attached file LICENSE-ECLIPSE.txt.
package net.sf.chex4j;

import net.sf.chex4j.bankbalance.tests.TestInheritance;
import net.sf.chex4j.bankbalance.tests.TestMethodOverloading;
import net.sf.chex4j.bankbalance.tests.TestPrivateLogicChex;
import net.sf.chex4j.bankbalance.tests.TestProtectedClass;
import net.sf.chex4j.bankbalance.tests.TestPublicInterfaceImplHasChex;
import net.sf.chex4j.bankbalance.tests.TestPublicInterfaceImplHasNoChex;
import net.sf.chex4j.bankbalance.tests.TestRegularMethodChex;
import net.sf.chex4j.bankbalance.tests.TestSimplePublicClass;
import net.sf.chex4j.bankbalance.tests.TestSubclassConstructorPre;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;

/**
 * You need to enable the Chex4j JavaAgent on the JVM if you wish to run this 
 * suite successfully. If this is not done then no assertion errors will be 
 * thrown in response to violations expressed within the chex4j annotations 
 * within the test classes and the tests will fail. 
 *  
 * @author simon
 */
@RunWith(Suite.class)
@Suite.SuiteClasses( { TestInheritance.class
		, TestSimplePublicClass.class
		, TestPublicInterfaceImplHasNoChex.class
		, TestPublicInterfaceImplHasChex.class
		, TestProtectedClass.class
		, TestPrivateLogicChex.class
		, TestRegularMethodChex.class
		, TestSubclassConstructorPre.class
		, TestMethodOverloading.class})
public class ChexOnlineSuite {
	public static void main(String args[]) {
		org.junit.runner.JUnitCore.main(ChexOnlineSuite.class.getCanonicalName());
	}
}