// Copyright 2010 Simon Massey. All rights reserved. net.sf.chex4j is licensed under the terms of the Eclipse Public License v1.0, as defined by the attached file LICENSE-ECLIPSE.txt.net.sf.chex4j is licensed under the terms of the Eclipse Public License v1.0, as defined by the attached file LICENSE-ECLIPSE.txt.
package net.sf.chex4j.bankbalance;

import java.math.BigDecimal;

import net.sf.chex4j.Contract;
import net.sf.chex4j.Post;

@Contract
public abstract class AbstractBankAccountGrandpa extends AbstractBankAccountGreatGrandpa {

	@Override
	@Post("$_.doubleValue() >= 0.0d")
	public BigDecimal getBalance(){
		return this.balance;
	}

	abstract public BigDecimal deposit(BigDecimal amount);
}
