// Copyright 2010 Simon Massey. All rights reserved. net.sf.chex4j is licensed under the terms of the Eclipse Public License v1.0, as defined by the attached file LICENSE-ECLIPSE.txt.net.sf.chex4j is licensed under the terms of the Eclipse Public License v1.0, as defined by the attached file LICENSE-ECLIPSE.txt.
package net.sf.chex4j.bankbalance;

import java.math.BigDecimal;

/**
 * note that this class has no chex annotations. it should still get instrumented though. 
 * @author simon
 */
public class ConcreteBankAccountNoChex extends AbstractBankAccountFather {

	public BigDecimal withdraw(BigDecimal amount){
		this.balance = this.balance.subtract(amount);
		return this.balance;
	}

	@Override
	public BigDecimal deposit(BigDecimal amount) {
		this.balance = this.balance.add(amount);
		return this.balance;
	}

	/**
	 * This method is bad practice and it just exists so that the balance can be corrupted. 
	 * @param amount
	 */
	public void setBalanceWithNoChex(BigDecimal amount) {
		this.balance = amount;
	}

}
