// Copyright 2010 Simon Massey. All rights reserved. net.sf.chex4j is licensed under the terms of the Eclipse Public License v1.0, as defined by the attached file LICENSE-ECLIPSE.txt.net.sf.chex4j is licensed under the terms of the Eclipse Public License v1.0, as defined by the attached file LICENSE-ECLIPSE.txt.
package net.sf.chex4j.bankbalance.tests;

import java.math.BigDecimal;

import net.sf.chex4j.bankbalance.SubclassConstrutorChexBankAccount;

import org.junit.Test;

/**
 * All tests in this class will fail unless you run with VM argument -javaagent:target/chex4j-0.0.1-SNAPSHOT.jar
 * @author simon
 *
 */
public class TestSubclassConstructorPre {
	@Test( expected = java.lang.AssertionError.class )
	public void testInlineCodePreChex() throws Exception {
		new SubclassConstrutorChexBankAccount(new BigDecimal(1.0d));
	}

	@Test( expected = java.lang.AssertionError.class )
	public void testRegularMethodCodePreChex() throws Exception {
		new SubclassConstrutorChexBankAccount(new BigDecimal(1.0d), false);
	}
}
